Debian Bug report logs - #237409
lvm2 - hardcodes 512 bytes per sector

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: Bastian Blank <waldi@debian.org>

Date: Thu, 11 Mar 2004 13:18:02 UTC

Severity: normal

Found in version 2.00.08-4

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: lvm2 - hardcodes 512 bytes per sector
Date: Thu, 11 Mar 2004 14:14:18 +0100
[Message part 1 (text/plain, inline)]
Package: lvm2
Version: 2.00.08-4
Severity: grave

lvm2 hardcodes 512 bytes per sector. this makes them unusable on
standard s390 storage.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: s390
Kernel: Linux 2.6.4-waldi02-1
Locale: LANG=C, LC_CTYPE=C

-- 
Where there's no emotion, there's no motive for violence.
		-- Spock, "Dagger of the Mind", stardate 2715.1
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 237409@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Bastian Blank <waldi@debian.org>, 237409@bugs.debian.org
Subject: Re: Bug#237409: lvm2 - hardcodes 512 bytes per sector
Date: Thu, 11 Mar 2004 12:24:43 -0500
[Message part 1 (text/plain, inline)]
On Thu, 2004-03-11 at 08:14, Bastian Blank wrote:
> Package: lvm2
> Version: 2.00.08-4
> Severity: grave
> 
> lvm2 hardcodes 512 bytes per sector. this makes them unusable on
> standard s390 storage.
> 

Could you please explain this a bit further?  What exactly breaks on
s390 because of this?



> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: s390
> Kernel: Linux 2.6.4-waldi02-1
> Locale: LANG=C, LC_CTYPE=C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #15 received at 237409@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Andres Salomon <dilinger@voxel.net>
Cc: 237409@bugs.debian.org
Subject: Re: Bug#237409: lvm2 - hardcodes 512 bytes per sector
Date: Sun, 14 Mar 2004 19:58:18 +0100
[Message part 1 (text/plain, inline)]
I attach the logs and first 2k of the device.

Bastian

-- 
Extreme feminine beauty is always disturbing.
		-- Spock, "The Cloud Minders", stardate 5818.4
[log-pvcreate-default (text/plain, attachment)]
[log-vgcreate-default (text/plain, attachment)]
[device-default (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #20 received at 237409@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Andres Salomon <dilinger@voxel.net>
Cc: 237409@bugs.debian.org
Subject: Re: Bug#237409: lvm2 - hardcodes 512 bytes per sector
Date: Sun, 14 Mar 2004 20:34:00 +0100
[Message part 1 (text/plain, inline)]
40k of the device.

Bastian

-- 
Dammit Jim, I'm an actor, not a doctor.
[device-default (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Message #23 received at 237409@bugs.debian.org (full text, mbox):

From: "Miquel van Smoorenburg" <miquels@cistron.nl>
To: debian-devel@lists.debian.org
Subject: Re: help with lvm2/devmapper (or orphaning)?
Date: Tue, 23 Mar 2004 17:00:26 +0000 (UTC)
In article <1080060532.29944.19.camel@wax.hq.voxel.net>,
Andres Salomon  <dilinger@voxel.net> wrote:
>I've been neglecting my lvm2 and devmapper packages, so I'm looking to
>either give away, or co-maintain the packages w/ someone.  Packaging
>isn't really that hard; most time sucked up by these packages is dealing
>w/ weird kernel and arch-specific bugs, and coordinating w/ upstream. 
>Knowing C and kernel code is pretty much a must; I don't forsee myself
>having time to do such things.  I'm still willing to help out w/
>packaging issues, I simply don't have the time to deal w/ bugs like
>#237409.

That bug is not a bug in the lvm2 package. The lvm2 package just
contains the binaries to control the kernel dm stuff. It's a kernel
bug or oversight for the s390 architecture. Bug should be closed or
reassigned to kernel-image, I guess.

I don't think that you as maintainer of the lvm2 package which
contains just the lv* / pv* / etc binaries can be expected to
fix the bugs in the kernel driver (unless you really want to).

Mike.
-- 
Netu, v qba'g yvxr gur cynvagrkg :)


-- 
To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #28 received at 237409@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 237409@bugs.debian.org
Subject: Status
Date: Thu, 6 May 2004 02:01:56 +0100
So what's the status of this bug?
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #33 received at 237409@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Martin Michlmayr <tbm@cyrius.com>, 237409@bugs.debian.org
Subject: Re: Bug#237409: Status
Date: Wed, 05 May 2004 21:47:16 -0400
[Message part 1 (text/plain, inline)]
On Wed, 2004-05-05 at 21:01, Martin Michlmayr wrote:
> So what's the status of this bug?

The status is, I think it's an s390 kernel bug, but I'm not certain. 
I'm told s390 has some weird dynamic block size thingy going, so it
could very well be an lvm2 bug; I don't know.  Erik Tews, on IRC,
mentioned that he'd been chasing down an s390 bug a few months ago
(which coincides with when this bug was opened); I need to ping him and
ask him to verify whether the bug he saw was fixed in the kernel/lvm2,
or not.  Since #237408 is also open, making lvm2 unusable on s390, I'm
not too concerned about closing this bug yet.  I want waldi to test my
new lvm2 packages (which need to have that FTBFS problem tracked down
still).
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Caulfield <patrick@debian.org>:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Alasdair G Kergon <agk@redhat.com>:
Extra info received and forwarded to list. Copy sent to Patrick Caulfield <patrick@debian.org>. Full text and rfc822 format available.

Message #38 received at 237409@bugs.debian.org (full text, mbox):

From: Alasdair G Kergon <agk@redhat.com>
To: 237409@bugs.debian.org
Subject: Re: Bug#237409: Status
Date: Thu, 10 Jun 2004 13:21:31 +0100
This one has just been brought to my attention:

  The sector size comment is a red-herring: LVM2 and device-mapper
  use a 512-byte sector size internally throughout.

  The bug is also not s390-specific: it occurs on all architectures.

  It was fixed upstream in 2.00.13 (16 Apr) by the improved detection of
  md devices with devices/md_component_detection = 1.

  Specifically, the line leading to the bug is:
Found duplicate PV czO2jmJq7n5nAx4diHYOzG9YLKyqX18g: using /dev/sde not /dev/sda
  i.e. two devices look identical (md mirror I presume) and this confuses LVM2.
   
You could work around the problem by setting up filters in your config file
to exclude these devices.

Alasdair
-- 
agk@redhat.com



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Caulfield <patrick@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #43 received at 237409@bugs.debian.org (full text, mbox):

From: Patrick Caulfield <patrick@debian.org>
To: 237409@bugs.debian.org
Subject: downgrade
Date: Tue, 22 Jun 2004 07:26:06 +0100
severity 237409 normal
severity 237408 normal

-- 

patrick



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237409; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Caulfield <patrick@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #48 received at 237409@bugs.debian.org (full text, mbox):

From: Patrick Caulfield <patrick@debian.org>
To: 237409@bugs.debian.org
Subject: Downgrade
Date: Tue, 22 Jun 2004 07:27:49 +0100
I'm downgrading this bug to normal because it looks like a filter issue that can
be fixed by a simple config file change.

Also, I've had no response from the reporter for ages - so it can't be that
grave....
-- 

patrick



Severity set to `normal'. Request was from Patrick Caulfield <patrick@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 237409-done@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 237409-done@bugs.debian.org, 237408-done@bugs.debian.org
Subject: fixed
Date: Wed, 28 Sep 2005 18:07:02 +0200
[Message part 1 (text/plain, inline)]
This bugs are fixed long time ago.

Bastian

-- 
Women professionals do tend to over-compensate.
		-- Dr. Elizabeth Dehaver, "Where No Man Has Gone Before",
		   stardate 1312.9.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 13:17:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:19:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.